
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>编程优化杂谈(一) / iVAN</title>

    <meta name="description" content="编程优化杂谈(一) 编程|优化 1. 在SQL中, 如果选择某字段不为空的记录有两种写法where columnExample &lt;&gt; ''或者是where columnExample is not null 经测试, 后者比前者要快好几倍(columnExample经过索引) 2. 在ASP中, 使用GetRows与不使用GetRows而直接用Record来循环调用, 两者其实有所差别, 下面是测试调用记录数: 484 使用GetRows, 然后用数组来显示, 发现单花在GetRows的运算上花了约62 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">编程优化杂谈(一)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>编程|优化</p>
<p>1. 在SQL中, 如果选择某字段不为空的记录有两种写法<br />where columnExample &lt;&gt; ''<br />或者是<br />where columnExample is not null</p>
<p>经测试, 后者比前者要快好几倍(columnExample经过索引)</p>
<p>2. 在ASP中, 使用GetRows与不使用GetRows而直接用Record来循环调用, 两者其实有所差别, 下面是测试<br />调用记录数: 484</p>
<p>使用GetRows, 然后用数组来显示, 发现单花在GetRows的运算上花了约620毫秒. 总共花了711毫秒</p>
<p>直接用RecordSet来循环调用, 总共花了931毫秒</p>
<p>所以建议大家使用GetRows, 特别是要显示很多的返回记录时, 但是它会占用一部分临时内存.</p>
<p>在直接使用RecordSet时, 大部分时间是花费在游标的移动上, 大概占了90%以上</p>
<p>3. 关于SQL中Count的想法</p>
<p>近日我对一大型数据库进行编程, 发现我的一段程序的无论怎么优化数据库, 怎么优化源程序, 执行完毕至少需要<br />600毫秒以上, 而别一段只需要100多毫秒. 下面是两段代码的条件约束(AgentID已经索引):</p>
<p>1. where AgentID = 0 花了600多毫秒<br />2. where AgentID &gt; 0 只要100多毫秒</p>
<p>真的是很奇怪, 我开始了寻找花费时间的根源, 一忽儿, 我就找到了原来是Count函数, 它花了将近500毫秒来进行<br />记录总数统计, 对数据库的AgentID的值进行分析, 又发现AgentID的98%的值都是0, 看来符合的记录越多, Count<br />进行的时间就会越长. <br />后来我想想, 不知SQL是否会自动进行反计算, 也就是它先计算不符合的条数, 然后计算符合的而返:<br />1. where AgentID &lt; 1 因为AgentID最不值是0, 所以用此条件也一样<br />最后的时间花费仍是600多毫秒, 没有任何必进.</p>
<p>所以只有一个解决方案, 那就是手动进行, 如果记录总数已经知, 则只需要计算不符合条件的记录, 然后 总数减<br />去不符记录即可得到查找记录的总数目.</p>
<p>下面是几个Count进行的时间测试:</p>
<p>Count(*) 无条件 返回说共有记录145539, 费时刚好100毫秒</p>
<p>count(*) where name is not Null and Agent = 0 返回说记录有145530, 费时431-441毫秒<br />(name is not null去掉的后只需要执行时间110)</p>
<p>Count(*) where name is not Null 返回记录共有145539, 费时100-110毫秒</p>
<p>以上的测试AgentID都是允许Null值的情况</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:38:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96/" title="优化">优化</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e9%97%b4/" title="时间">时间</a>, <a href="https://www.iamivan.net/tag/count/" title="count">count</a>, <a href="https://www.iamivan.net/tag/%e6%af%ab%e7%a7%92/" title="毫秒">毫秒</a>, <a href="https://www.iamivan.net/tag/where/" title="where">where</a>, <a href="https://www.iamivan.net/tag/getrows/" title="GetRows">GetRows</a>, <a href="https://www.iamivan.net/tag/count%e4%bc%98%e5%8c%96/" title="count优化">count优化</a>, <a href="https://www.iamivan.net/tag/%e6%af%ab%e7%a7%92%e6%95%b0%e6%8d%ae/" title="毫秒数据">毫秒数据</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>编程优化杂谈(一)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ8K8z.html" rel="bookmark">编程优化杂谈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程|优化 1. 在SQL中, 如果选择某字段不为空的记录有两种写法where columnExample &lt;&gt; ''或者是where columnExample is not null 经测试, 后者比前者要快好几倍(columnExample经过索引) 2. 在ASP中, 使用GetRows与不使用GetRows而直接用Record来循环调用, 两者其实有所差别, 下面是测试 调用记录数: 484 使用GetRows, 然后用数组来显示, 发现单花在GetRows的运算上花了约620毫秒.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmxDdz.html" rel="bookmark">Android内存优化杂谈&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android内存优化是我们性能优化工作中比较重要的一环,这里其实主要包括两方面的工作:1.优化RAM,即降低运行时内存.这里的目的是防止程序发生OOM异常,以及降低程序由于内存过大被LMK机制杀死的概率.另一方面,不合理的内存使用会使GC大大增多,从而导致程序变卡.2.优化ROM,即降低程序占ROM的体积.这里主要是为了降低程序占用的空间,防止由于ROM空间不足导致程序无法安装. 本文的着重点为第一点,总结概述降低应用运行内存的技巧.在这里我们不再细述PSS.USS等概念与Android应用的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNjy4z.html" rel="bookmark">【转】【UNITY3D 游戏开发之十】关于IL2CPP（支持IOS-64BIT）的深入讲解以及UNITY优化方面的几篇文章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/unity3d-game/1627.html  ----------–iL2CPP     Unity 官方博客译文(看完这篇博文非常的兴奋,第一时间想到的是翻译后介绍给大家,文章是以IL2CPP内部开发人员的角度来讲述.由于讨论的内容会比较深入,如果对Mono,IL2CPP等一系列概念不甚了解,可以先参考 Unity3D将来时:IL2CPP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBrX0b.html" rel="bookmark">网络小胖子：探索网站优化心得（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 上次探索网站优化心得一文中,将了网站优化到底应该得到什么,我的答案是规范网络市场,今天在进一步谈下,如何通过我们的网站优化技术来将网站规范化,也就讲如何通过我们自身的定位来确定优化网站. 其实,每个站长都有自己特色所在,所以如果您要作战,特别是与网络作战,就要了解自己手中的武器是什么,比如我擅长调查公司方面写作,喜欢这方面,那好你就做个相关的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Q9ZZM.html" rel="bookmark">源代码-JAVA编程作业题求教！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JAVA编程作业题求教! 以下是我的JAVA课程作业,希望能够得到源代码的参考 . 一节课的长度为2小时30分钟,课间休息时间为10分钟,现在要求用户输入时间以后,求出下课的时间以及课间休息开始和结束的试看. 以下是用户界面的输出结果. When does this lecture start (please indicate hours and minutes)? Hour: 14 Minute: 55 This lecture will end at Hour: 17 Minute			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaW4Qb.html" rel="bookmark">php多种优化方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php多种优化方法    PHP 优化配置之一 让论坛速度更快 PHP加速设置 PHP加速:Zend Optimizer优化PHP程序 Zend Optimizer V2.5.7 For Windows 软件语言:英文 运行环境:Win9x/NT/2000/XP Zend Optimizer V2.5.7 For Windows软件介绍: Zend Optimizer用优化代码的方法来提高PHP 4.0应用程序的执行速度.实现的原理是对那些在被最终执行之前由运行编译器(Run-Time Comp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balDewz.html" rel="bookmark">Oracle学习的一些建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  学习Oracle是一个漫长艰辛的过程.如果没有兴趣,只是被迫学习,那么是很难学好的.学习到一定程度的时候,要想进一步提高,就不得不接触很多Oracle之外的东西,如Unix,如网络.存储等.因此,要真的决心学好Oracle,就一定要有兴趣.有了兴趣,就会一切变得简单快乐起来.简单总结一下,那就是:兴趣.学习.实践. 如何入门是许多初学者最头疼的事情.Oracle涉及的方面太多了:SQL.管理.优化.备份恢复--那么从哪开始学好呢?如果在大学期间学过数据库理论,或有一定的数据库基础自然很好;如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal8knz.html" rel="bookmark">Oracle学习的一些方法建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  学习Oracle是一个漫长艰辛的过程.如果没有兴趣,只是被迫学习,那么是很难学好的.学习到一定程度的时候,要想进一步提高,就不得不接触很多Oracle之外的东西,如Unix,如网络.存储等.因此,要真的决心学好Oracle,就一定要有兴趣.有了兴趣,就会一切变得简单快乐起来.简单总结一下,那就是:兴趣.学习.实践. 如何入门是许多初学者最头疼的事情.Oracle涉及的方面太多了:SQL.管理.优化.备份恢复--那么从哪开始学好呢?如果在大学期间学过数据库理论,或有一定的数据库基础自然很好;如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY23Zrp.html" rel="bookmark">学习Oracle的一些建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习Oracle是一个漫长艰辛的过程.如果没有兴趣,只是被迫学习,那么是很难学好的.学习到一定程度的时候,要想进一步提高,就不得不接触很多Oracle之外的东西,如Unix,如网络.存储等.因此,要真的决心学好Oracle,就一定要有兴趣.有了兴趣,就会一切变得简单快乐起来.简单总结一下,那就是:兴趣.学习.实践. 如何入门是许多初学者最头疼的事情.Oracle涉及的方面太多了:SQL.管理.优化.备份恢复--那么从哪开始学好呢?如果在大学期间学过数据库理论,或有一定的数据库基础自然很好;如果没			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1Bl9p.html" rel="bookmark" class="title">CSS变换计时与延迟&colon;CSS变换&lpar;transition&rpar;</a>
					<div>
						文章简介:CSS变换(transition) -webkit-transition -moz-transition -o-transition transition CSS property 被变换的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNANNb.html" rel="bookmark" class="title">PS文字特效教程&colon;非常个性的立体感金字塔造型文字</a>
					<div>
						本教程的文字效果非常有个性,文字有点类似金字塔造型.制作方法跟立体字的制作方法一样.大致过程:首先制作字体表面水晶效果,利用图层样式做出底色再加上高光即可,后期就是立体面的制作,需要用选区控制好每一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrPXxz.html" rel="bookmark" class="title">服务器端异步 Web 方法&lpar;一&rpar;</a>
					<div>
						web|服务器|异步 摘要:Matt Powell 介绍了如何在服务器端使用异步 Web 方法,来创建高性能的 Microsoft ASP.NET Web 服务. 简介 在九月份的第三篇专栏(英文)中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0GGJb.html" rel="bookmark" class="title">Silverlight游戏设计&lpar;Game Design&rpar;</a>
					<div>
						Silverlight游戏设计(Game Design):(十五)如果还有梦(完) Silverlight游戏设计(Game Design):(十四) Silverlight游戏设计(Game Des ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL7XGb.html" rel="bookmark" class="title">Domino下通过代理公式批量修改用户属性值</a>
					<div>
						Domino下通过代理公式批量修改用户属性值---勾选强制用户在下次登陆时更改Internet口令选项 我们大家都知道目前在windows下最常用的两套邮件系统是Mircrosoft Exchange ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaWrAz.html" rel="bookmark" class="title">下一代信息推荐系统的算法设计与性能评估</a>
					<div>
						信息总量的爆炸性增长导致&quot;信息过载&quot;--用户难以在海量信息中找到自己需要的对象.信息推荐系统被认为是解决信息过载最有效的工具[1],其最早的研究可以追溯到30年前[2],而90年代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EZAkM.html" rel="bookmark" class="title">spring mvc-springmvc 传参问题，请戳进来看看</a>
					<div>
						问题描述 springmvc 传参问题,请戳进来看看 首先 springmvc的请求路劲都是requestMapping 来访问的. @RequestMapping(&quot;/public/sto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQArDp.html" rel="bookmark" class="title">ie-javascript模板兼容问题-etpl。。。。。。。。。。</a>
					<div>
						问题描述 javascript模板兼容问题-etpl.......... 用etpl生成js视图在IE中不兼容,求解答,急急急!!! 解决方案 没用过etpl,不过既然是客户端的东西,那么就是你生成的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAoZKM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;家电下乡&rdquo;和&OpenCurlyDoubleQuote;家电补贴&rdquo;政策逐渐退去，内销和出口量放缓</a>
					<div>
						面对未知的挑战,空调领导品牌奥克斯率先掀起转型升级,从企业内部增强核心竞争力,董事长郑坚江表示:&quot;刚性品质管理不能失效,用户标准就是最高标准&quot;,落实到每个细节始终以品质和消费者利益 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7y8mp.html" rel="bookmark" class="title">用建行卡网上支付时，出现参考代码0130z110c143 ，是什么意思？</a>
					<div>
						问题描述 用建行卡网上支付时,出现参考代码0130z110c143 ,是什么意思? 用建行卡网上支付时,出现参考代码0130z110c143 ,是什么意思? 解决方案 网上有同问:http://zhi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6gYVb.html" rel="bookmark" class="title">pci设备驱动-求懂PLX9656的大神指教</a>
					<div>
						问题描述 求懂PLX9656的大神指教 50C 在上位机中调用PLX9656的SDK中的api,plxpciDmatransfer函数,返回报等待中断超时的错误,该怎么解决呢?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd3OZb.html" rel="bookmark" class="title">Linux静态库和动态库的分析及实现</a>
					<div>
						1.什么是库 在windows平台和linux平台下都大量存在着库. 本质上来说库是一种可执行代码的二进制形式,可以被操作系统载入内存执行. 由于windows和linux的本质不同,因此二者库的二进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLEk8p.html" rel="bookmark" class="title">将读取到的txt文件写入到Excel表格中</a>
					<div>
						问题描述 利用C#画一个Winform框,浏览电脑中的文件,将读取到的文件展示在文本框中,并且将读取到的txt内容写入到Excel表格中,如何写入. 解决方案 解决方案二:两列之间用t两行之间用n换行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z401DYz.html" rel="bookmark" class="title">沉迷于概念炒作怪圈 云计算盈利模式难题</a>
					<div>
						&quot;一个病人到医院去的时候,看重的不是这个楼有多高,而是你的医术有多高.服务有多体贴.&quot;北森公司联合创始人.北森公司董事会主席兼总裁王朝晖如此表述当前云计算&quot;基础建设和企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAVVDp.html" rel="bookmark" class="title">python 把网站返回的数据流保存为一个文件（这个数据流是pdf）</a>
					<div>
						问题描述 python 把网站返回的数据流保存为一个文件(这个数据流是pdf) python 把网站返回的数据流保存为一个文件(这个数据流是pdf) 解决方案 按二进制方式写文件.然后保存下来 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR5P2p.html" rel="bookmark" class="title">【转载】Docker 镜像优化与最佳实践</a>
					<div>
						阿里云高级研发工程师御坂在云栖TechDay41期的线下沙龙活动中分享了Docker镜像优化与最佳实践.本文为沙龙内容回顾. 从Docker镜像存储的原理开始,针对镜像的存储.网络传输,介绍如何在构建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmgymM.html" rel="bookmark" class="title">免费商业模式的未来</a>
					<div>
						过去十年间,一种另类的免费策略正在开始出现.众所周知,互联网是一片奇异的免费乐土,我们的未来有赖于互联网:未来的商业,更离不开互联网.免费与付费之间的对决正步入终结,商业社会正在迎接崭新的未来. 在过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEk5XM.html" rel="bookmark" class="title">《Wireshark网络分析实战》&mdash;第1章1&period;2节安置Wireshark（程序或主机）</a>
					<div>
						1.2 安置Wireshark(程序或主机) Wireshark网络分析实战 看到了网络故障的表象,决定通过Wireshark抓包来查明故障原委之前,应确定Wireshark(程序或主机)的(安装或部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqAxvb.html" rel="bookmark" class="title">求解一下 myeclipse2014 怎么调试playframework2呢？</a>
					<div>
						问题描述 求解一下 myeclipse2014 怎么调试playframework2呢? 求解一下 myeclipse2014 怎么调试playframework2呢?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnV6XM.html" rel="bookmark" class="title">Unable to compile class for JSP问题</a>
					<div>
						问题描述 &lt;%@pagelanguage=&quot;java&quot;import=&quot;java.io.File&quot;%&gt;&lt;%@pagelanguage=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWy7Yz.html" rel="bookmark" class="title">原生javascript获取元素样式&lowbar;javascript技巧</a>
					<div>
						摘要:     我们在开发过程中经常会遇到通过js获取或者改变DOM元素的样式,方法有很多,比如:通过更改DOM元素的class.现在我们讨论原生js来获取DOM元素的CSS样式,注意是获取不是设置  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1qjGb.html" rel="bookmark" class="title">伊利微电影再次受追捧</a>
					<div>
						今年的情人节因其谐音&quot;爱你一生爱一世&quot;(2013年2月14日),甜蜜浪漫氛围更浓.记者了解到,去年火爆一时的主打&quot;浪漫小清新&quot;的伊利微电影&lt;不说话的女孩& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV75qnb.html" rel="bookmark" class="title">如何在rails开发环境中取得上下文路径</a>
					<div>
						问题描述 如何在rails开发环境中取得上下文路径下面是C#的写法string contextPath = Request.ApplicationPath;求教谢谢!先 解决方案 使用RAILS_RO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1laKb.html" rel="bookmark" class="title">Android数据库之 Sqlite</a>
					<div>
						sqllie区别于我们以前接触的数据库,它是通过android自带的 方法来驱动数据库的建立: 建立数据库表和操作数据库的大致过程: 1.让一个类 去继承 SqliteOpenHelper (这是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvWD3b.html" rel="bookmark" class="title">竞速赛车游戏《红牛卡丁车赛3》发布</a>
					<div>
						&lt;红牛卡丁车赛3:全胜赛道&gt;(Red Bull Kart Fighter 3 Unbeaten Tracks)是一款有趣的竞速体育类赛车游戏,Red Bull官方出品.玩家在游戏中将体验到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenqBxb.html" rel="bookmark" class="title">告别苹果地图 通过Siri调出谷歌地图的小技巧</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   科技讯解读:库克啊,别整地图了,你还是专心做手机吧,看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPAxEp.html" rel="bookmark" class="title">《iOS 6高级开发手册（第4版）》&mdash;&mdash;1&period;12节使用运动事件检测晃动</a>
					<div>
						1.12 使用运动事件检测晃动iOS 6高级开发手册(第4版)当iPhone检测到一个运动事件时,它会把该事件传递给当前的第一个响应者,即响应者链中的主对象.响应者是可以处理事件的对象,所有的视图和窗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWdK9p.html" rel="bookmark" class="title">jquery ajax data传递参数的时候，提示：无法识别的转义序列</a>
					<div>
						问题描述 jqueryajaxdata传递file路径参数(d:wenjianjiatest.text)的时候,提示:无法识别的转义序列.err.responseText提示的file路径变成了:d: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRQ53z.html" rel="bookmark" class="title">《GNS3实战指南》&mdash;&mdash; 导读</a>
					<div>
						前言GNS3还在早期研发阶段时,我在就开始使用它了,并且使用得如鱼得水.从一开始,我就能预见它将会是一件重要的网络工具.我已经使用它获得了实际经验,在诸如Cisco IOS.Junos OS和Aris ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOLW3z.html" rel="bookmark" class="title">MapXtreme问题。。请问我在地图上标记的点的标记图片怎么改掉</a>
					<div>
						问题描述 请问MapXtreme里面.我想把地图上标记的点的图片还成别的图片..请问怎么改..它现在是个黑框					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
